.hero {
  position: relative;
  display: flex;
  align-items: center;
  background-color: var(--color-black);
  min-height: 600px;

  @media (min-width: 768px) {
    min-height: 800px;
  }
}

.hero__image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.hero__image-element {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.hero__conteiner {
  padding: 32px 24px;

  @media (min-width: 768px) {
    width: 90%;
    margin: 0 auto;
    max-width: 1200px;
  }
}

.hero__content {
  max-width: 600px;
}

/* Hero title */
.hero__title {
  font-size: 48px;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 32px;
  color: var(--color-white);
  text-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
  animation: fade-up 1s cubic-bezier(0.215, 0.61, 0.355, 1) 0.2s 1 forwards;
  opacity: 0;
  transform: translateY(60px);
  position: relative;

  &:after {
    content: "";
    display: block;
    width: 100%;
    height: 35px;
    background: url(title-highlight.svg) no-repeat;
  }

  @media (min-width: 768px) {
    font-size: 68px;
  }
}

/* Hero body */
.hero__body {
  font-size: 1.125rem;
  line-height: 1.6;
  margin: 0 0 2rem 0;
  color: var(--color-white);
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
  animation: fade-up 1s cubic-bezier(0.215, 0.61, 0.355, 1) 0.4s 1 forwards;
  opacity: 0;
  transform: translateY(60px);
}

/* Hero CTA */
.hero__cta {
  margin: 2rem 0 0 0;
}

.hero__cta-button {
  display: inline-block;
  background-color: var(--color-brand-700);
  color: var(--color-white);
  padding: 16px 24px;
  font-weight: 600;
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s;
  animation: fade-up 1s cubic-bezier(0.215, 0.61, 0.355, 1) 0.6s 1 forwards;
  opacity: 0;
  transform: translateY(60px);

  &:hover {
    background-color: var(--color-brand-900);
  }
}

@keyframes fade-up {
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
